Verifies requirement(s) on an existing KYC (Know Your Customer) review. Can be used after a user has provided input for a requirement through the hosted journey or simulated the requirement submission.
Security
UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/v2/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/verify
- Sandbox Environmenthttps://api.wise-sandbox.com/v2/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/verify
curl -i -X POST \
'https://api.wise.com/v2/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/verify' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"requestedAction": "APPROVE",
"requirements": [
"ACCOUNT_PURPOSE_V2"
]
}'KYC review verified successfully. No content returned.
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
No content